declare type Fetchers = {
    original: typeof fetch;
    mocked: typeof fetch;
};
export declare type ReplyValue = BodyInit | null | Response;
export declare type ReplyCallback = (request: Request, fetchers: Fetchers) => ReplyValue | Promise<ReplyValue>;
export declare type Reply = ReplyValue | Promise<ReplyValue> | ReplyCallback;
export declare const passThrough: ReplyCallback;
export default class InterceptRule {
    input: RequestInfo | {
        test(str: string): boolean;
    };
    init: RequestInit;
    headersArr: [string, string][];
    constructor(input: RequestInfo | RegExp, init?: RequestInit);
    private delayDuration;
    delay(ms: number): this;
    private replier?;
    reply(body?: BodyInit | null, init?: ResponseInit): this;
    reply(body: Promise<BodyInit | null>): this;
    reply(response: Response | Promise<Response>): this;
    reply(callback: ReplyCallback): this;
    private restApplyTimes;
    isActive(): boolean;
    times(n: number): this;
    once(): this;
    twice(): this;
    thrice(): this;
    persist(): this;
    test(input: RequestInfo, init?: RequestInit): boolean;
    apply(request: Request, fetchers: Fetchers): Promise<Response>;
}
export {};
//# sourceMappingURL=InterceptRule.d.ts.map