const message = 'The user aborted a request.';
class AbortError extends Error {
    constructor() {
        super(message);
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: 'AbortError'
        });
    }
}
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore for inconsistent error types in node and browsers
const ParsedAbortError = (() => {
    if (typeof DOMException !== 'undefined') {
        return DOMException.bind(null, message, 'AbortError');
    }
    return AbortError;
})();
export default ParsedAbortError;
//# sourceMappingURL=AbortError.js.map