import { FulfillList, StatusMessage, RequestMessage, ResponseMessage, MessageProcessor } from './Message.js';
/**
 * A fetch receiver
 * - For received requests, message to service worker.
 * - For messaged requests, send to the receiver. <- Intercept here.
 */
export default class Channel extends MessageProcessor {
    port: Promise<MessagePort>;
    fulfillList: FulfillList;
    private beActive;
    constructor(workerContainer: ServiceWorkerContainer);
    private registerContainer;
    preparePort(workerContainer: ServiceWorkerContainer): Promise<MessagePort>;
    /**
     * For received requests, message to the service worker.
     */
    fetch: typeof fetch;
    /**
     * For messaged requests, send to the receiver.
     */
    onRequestMessage(event: MessageEvent<RequestMessage>): Promise<void>;
    /**
     * For messaged responses, treat as a previous received request's response.
     */
    onResponseMessage(event: MessageEvent<ResponseMessage>): void;
    statusResolve: (() => void) | null;
    onStatusMessage(event: MessageEvent<StatusMessage>): Promise<void>;
    isActive(): boolean;
    switchToStatus(status: 'on' | 'off'): Promise<void>;
}
//# sourceMappingURL=Channel.d.ts.map