export class MessageProcessor {
    constructor() {
        Object.defineProperty(this, "onMessage", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: (event) => {
                if ('request' in event.data) {
                    this.onRequestMessage(event);
                }
                if ('response' in event.data) {
                    this.onResponseMessage(event);
                }
                if ('status' in event.data) {
                    this.onStatusMessage(event);
                }
            }
        });
    }
    /**
     * Start receiving messages.
     */
    async activate() {
        return this.switchToStatus('on');
    }
    /**
     * Stop receiving messages.
     */
    async restore() {
        return this.switchToStatus('off');
    }
}
//# sourceMappingURL=Message.js.map