export default class WPRoute {
    constructor(wp) {
        Object.defineProperty(this, "wp", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: wp
        });
        Object.defineProperty(this, "fetch", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: (...args) => this.wp.bypassFetch(...args)
        });
        Object.defineProperty(this, "handler", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: async (route, routeRequest) => {
                const request = new Request(routeRequest.url(), {
                    body: routeRequest.postDataBlob(),
                    headers: routeRequest.headersArray().map(({ name, value }) => [name, value]),
                });
                await route.fulfill({
                    response: await this.fetch(request),
                });
            }
        });
    }
    async activate() {
        await this.wp.pageRoute('', this.handler);
    }
    async restore() {
        await this.wp.pageUnroute('', this.handler);
    }
}
//# sourceMappingURL=index.js.map